- include_role:
    name: postfix
    tasks_from: wait.yaml
  vars:
    check_only: True
    in_namespace: "{{ postfix_namespace | default(namespace) }}"
    obj_selectors: "{{ postfix_selectors | default([ 'opsperator.io/' ~ cr_kind ~ '=' ~ cr_name ]) }}"
  when:
  - smtp_relay is not defined
- block:
  - include_role:
      name: commons
      tasks_from: ssl/ca-init.yaml
    vars:
      tls_provider: "{{ smtp_tls_provider }}"
    when:
    - smtps_address | default(False)
    - smtp_tls_provider is defined
    - (smtp_tls_provider | default(tls_provider)) != tls_provider
  - include_role:
      name: commons
      tasks_from: ssl/ca-init.yaml
  when:
  - k8s_flavor == 'kubernetes'
